﻿@model IEnumerable<UsuariosWeb.UsuariosService.PRO_APP_USUARIOS_CONSULTAR_TODOSResult>
@{
    ViewBag.Title = "Usuarios";
}

<link rel="stylesheet" href="//cdn.datatables.net/1.13.4/css/jquery.dataTables.min.css" />

<!-- CSS de DataTables Buttons -->
<link rel="stylesheet" type="text/css" href="//cdn.datatables.net/buttons/1.7.1/css/buttons.dataTables.css">

<div class="container p-4 border">
    <div class="row pb-2">
        <div class="col">
            <h1 class="text-primary">Lista de Usuarios</h1>
        </div>
        <div class="col text-end pt-1">
            <a href="@ViewBag.DescargarListadoLink" class="btn btn-outline-danger">
                <i class="fas fa-plus"></i>&nbsp; Descargar
            </a>
        </div>
        <div class="col text-end pt-1">
            <button type="button" class="btn btn-outline-primary" onclick="redirectToFormPage()">
                Crear Usuario
            </button>
            @*<a href="@" class="btn btn-outline-primary">
                <i class="fas fa-plus"></i>&nbsp; Crear Usuario Nuevo
            </a>*@
        </div>
    </div>
    @if (ViewBag.ListaUsuarios != null)
    {
        <table id="tblData" class="table table-striped w-100">
            <thead>
                <tr>
                    <th>Nombre</th>
                    <th>Fecha Nacimiento</th>
                    <th>Sexo</th>
                    <th class="text-center">Acciones</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var item in ViewBag.ListaUsuarios)
                {
                    <tr>
                        <td>@item.Nombre</td>
                        <td>@item.Fecha_Nacimiento</td>
                        <td>@item.Sexo</td>
                        <td class="text-center">
                            <i class="btn btn-outline-success">
                                @Html.ActionLink("Modificar", "Modificar", new { nombre = item.Nombre })
                            </i>
                            <i class="btn btn-outline-danger">
                                @Html.ActionLink("Eliminar", "Eliminar", new { nombre = item.Nombre })
                            </i>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    }
</div>

<section Script>
    <script src="https://code.jquery.com/jquery-latest.min.js"></script>
    <script src="//cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.13.4/js/jquery.dataTables.min.js"></script>

    <!-- JS de DataTables Buttons -->
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/1.7.1/js/dataTables.buttons.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/1.7.1/js/buttons.html5.js"></script>
    <script type="text/javascript" src="https://cdn.datatables.net/buttons/1.7.1/js/buttons.print.js"></script>

    <script>

        $(document).ready(function () {
            $.noConflict(true);
            //debugger;
            $('#tblData').DataTable({
                lengthMenu: [10],
                buttons: [
                    'copy', 'excel', 'pdf', 'print'  // Agrega los botones de exportación que necesites
                ],
                language: {
                    "decimal": "",
                    "emptyTable": "No hay información",
                    "info": "Mostrando _START_ a _END_ Registros de total _TOTAL_ Registros",
                    "infoEmpty": "Mostrando 0 to 0 of 0 Registros",
                    "infoFiltered": "(Filtrado de _MAX_ total Registros)",
                    "infoPostFix": "",
                    "thousands": ",",
                    "searchPlaceholder": "Filtrar",
                    //"lengthMenu": "Mostrar _MENU_ Registros",
                    "loadingRecords": "Cargando...",
                    "processing": "Procesando...",
                    "search": "Buscar:",
                    "zeroRecords": "Sin resultados encontrados",
                    "paginate": {
                        "first": "Primero",
                        "last": "Ultimo",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    }
                },
            });
        });

        function redirectToFormPage() {
            window.location.href = '@Url.Action("Crear", "Usuarios")';
        }

    </script>
</section>